package org.dromara.system.service;

import org.dromara.system.domain.TypeHot;
import org.dromara.system.domain.vo.TypeHotVo;
import org.dromara.system.domain.bo.TypeHotBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface ITypeHotService {

    /**
     * 查询【请填写功能名称】
     */
    TypeHotVo queryById(String typeId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<TypeHotVo> queryPageList(TypeHotBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<TypeHotVo> queryList(TypeHotBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(TypeHotBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(TypeHotBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
